summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2020-05-01 15:19:12 +0200
committerThomas Deutschmann <whissi@gentoo.org>2020-05-01 15:22:53 +0200
commit4a3b80952537bc3267a030086efe34ddaeedcd53 (patch)
treee4d7e7fda839fdf3e93edfdecb0cf762ae58d0d5
parentsys-fs/cryptsetup: bump to v2.3.2 (diff)
downloadgentoo-4a3b80952537bc3267a030086efe34ddaeedcd53.tar.gz
gentoo-4a3b80952537bc3267a030086efe34ddaeedcd53.tar.bz2
gentoo-4a3b80952537bc3267a030086efe34ddaeedcd53.zip
dev-libs/nettle: bump to v3.6
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
-rw-r--r--dev-libs/nettle/Manifest1
-rw-r--r--dev-libs/nettle/nettle-3.6.ebuild62
2 files changed, 63 insertions, 0 deletions
diff --git a/dev-libs/nettle/Manifest b/dev-libs/nettle/Manifest
index 580f010e062..705ffd20ec5 100644
--- a/dev-libs/nettle/Manifest
+++ b/dev-libs/nettle/Manifest
@@ -1,2 +1,3 @@
DIST nettle-3.4.1.tar.gz 1947053 BLAKE2B 354318c46c28aeaaca611abe70298024ec12ff70aed53c741e43c1b5373361e5cffb03df7b8e86ef103a3b7770b2b4fe39fbca00b128f2b7ec810b3a4d9fd0fd SHA512 26aefbbe9927e90e28f271e56d2ba876611831222d0e1e1a58bdb75bbd50934fcd84418a4fe47b845f557e60a9786a72a4de2676c930447b104f2256aca7a54f
DIST nettle-3.5.1.tar.gz 1989593 BLAKE2B 40e527a4cc541674acc39072f2ebbab4b6ed1b043687d88c776ce9c58374538b111d282e0eea5424059260b0876c5cf01f97470c850e082c167b05a57e6c591a SHA512 f738121b9091cbe79435fb5d46b45cf6f10912320c233829356908127bab1cac6946ca56e022a832380c44f2c10f21d2feef64cb0f4f41e3da4a681dc0131784
+DIST nettle-3.6.tar.gz 2288173 BLAKE2B 45e08832e9c337f10d958956545c77f521b747b8abca56ce40c755adf352bdc2a79584b1e1c0e50f5ede0ac54794aabd6883601c53593b965aada744502789db SHA512 2471af875e51327af61af8bda53cd9c3adc27b6e32592a4b5b10b3ec60999ebf771ab9c54c747b0bade4b3b5a717e77fdbdb53699dd9e8a9ed4eee07f46aed51
diff --git a/dev-libs/nettle/nettle-3.6.ebuild b/dev-libs/nettle/nettle-3.6.ebuild
new file mode 100644
index 00000000000..6131eaec35e
--- /dev/null
+++ b/dev-libs/nettle/nettle-3.6.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools multilib-build multilib-minimal multilib toolchain-funcs
+
+DESCRIPTION="Low-level cryptographic library"
+HOMEPAGE="http://www.lysator.liu.se/~nisse/nettle/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( LGPL-3 LGPL-2.1 )"
+SLOT="0/7" # subslot = libnettle soname version
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc +gmp neon static-libs test cpu_flags_x86_aes cpu_flags_x86_sha"
+RESTRICT="!test? ( test )"
+
+DEPEND="gmp? ( >=dev-libs/gmp-6.1:0=[static-libs?,${MULTILIB_USEDEP}] )"
+RDEPEND="${DEPEND}"
+
+MULTILIB_WRAPPED_HEADERS=(
+ /usr/include/nettle/version.h
+)
+
+DOCS=()
+HTML_DOCS=()
+
+pkg_setup() {
+ use doc && DOCS+=(
+ nettle.pdf
+ )
+ use doc && HTML_DOCS+=(
+ nettle.html
+ )
+}
+
+src_prepare() {
+ default
+
+ # I do not see in config.sub reference to sunldsolaris.
+ # if someone complains readd
+ # -e 's/solaris\*)/sunldsolaris*)/' \
+ sed -e '/CFLAGS=/s: -ggdb3::' \
+ -i configure.ac || die
+
+ eautoreconf
+}
+
+multilib_src_configure() {
+ # --disable-openssl bug #427526
+ ECONF_SOURCE="${S}" econf \
+ $(tc-is-static-only && echo --disable-shared) \
+ $(use_enable cpu_flags_x86_aes x86-aesni) \
+ $(use_enable cpu_flags_x86_sha x86-sha-ni) \
+ $(use_enable doc documentation) \
+ $(use_enable gmp public-key) \
+ $(use_enable neon arm-neon) \
+ $(use_enable static-libs static) \
+ --disable-fat \
+ --disable-openssl \
+ --libdir="${EPREFIX}"/usr/$(get_libdir)
+}